Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.loadtime
Interface IWeavingContext

All Known Implementing Classes:
  DefaultWeavingContext

    public interface IWeavingContext

This class adds support to AspectJ for an OSGi environment

Author:
  David Knibb

Method Summary
`java.lang.String` | `getBundleIdFromURL(java.net.URL url)` In an OSGi environment, determin which bundle a URL originated from.
`java.lang.String` | `getClassLoaderName()` In an environment with multiple class loaders allows each to be identified using something safer and than toString
`java.lang.String` | `getFile(java.net.URL url)` Format a URL
`java.util.Enumeration` | `getResources(java.lang.String name)` Allows the standard ClassLoader.getResources() mechanisms to be replaced with a different implementation.

Method Detail

### getResources

    java.util.Enumeration getResources(java.lang.String name)
                                       throws java.io.IOException

  Allows the standard ClassLoader.getResources() mechanisms to be replaced with a different implementation. In an OSGi environment, this will allow for filtering to take place on the results of ClassLoader.getResources(). In a non-OSGi environment, ClassLoader.getResources should be returned.

  Parameters:
    `name` - the name of the resource to search for
  Returns:
    an enumeration containing all of the matching resources found
  Throws:
    `java.io.IOException`

### getBundleIdFromURL

    java.lang.String getBundleIdFromURL(java.net.URL url)

  In an OSGi environment, determin which bundle a URL originated from. In a non-OSGi environment, implementors should return `null`.

  ``
  Parameters:
    `url` -
  Returns:

### getClassLoaderName

    java.lang.String getClassLoaderName()

  In an environment with multiple class loaders allows each to be identified using something safer and than toString

  Returns:
    name of the associated class loader

### getFile

    java.lang.String getFile(java.net.URL url)

  Format a URL

  Returns:
    filename

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD